__gnu_cxx::encoding_char_traits< _CharT > Struct Template Reference

`#include <codecvt_specializations.h>`

Inheritance diagram for __gnu_cxx::encoding_char_traits< _CharT >:
[legend]

## Public Types

typedef _CharT | char_type
typedef _Char_types< _CharT >::int_type | int_type
typedef _Char_types< _CharT >::off_type | off_type
typedef std::fpos< state_type > | pos_type
typedef encoding_state | state_type

## Static Public Member Functions

static _GLIBCXX14_CONSTEXPR void | assign (char_type &__c1, const char_type &__c2)
static char_type * | assign (char_type *__s, std::size_t __n, char_type __a)
static _GLIBCXX14_CONSTEXPR int | compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static char_type * | copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type | eof ()
static constexpr bool | eq (const char_type &__c1, const char_type &__c2)
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2)
static _GLIBCXX14_CONSTEXPR const char_type * | find (const char_type *__s, std::size_t __n, const char_type &__a)
static _GLIBCXX14_CONSTEXPR std::size_t | length (const char_type *__s)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2)
static char_type * | move (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type | not_eof (const int_type &__c)
static constexpr char_type | to_char_type (const int_type &__c)
static constexpr int_type | to_int_type (const char_type &__c)

## Detailed Description

template<typename _CharT>
struct __gnu_cxx::encoding_char_traits< _CharT >

encoding_char_traits

Definition at line 211 of file codecvt_specializations.h.

## Member Typedef Documentation

## char_type

template<typename _CharT >

typedef _CharT __gnu_cxx::char_traits< _CharT >::char_type

inherited

Definition at line 89 of file char_traits.h.

## int_type

template<typename _CharT >

typedef _Char_types<_CharT>::int_type __gnu_cxx::char_traits< _CharT >::int_type

inherited

Definition at line 90 of file char_traits.h.

## off_type

template<typename _CharT >

typedef _Char_types<_CharT>::off_type __gnu_cxx::char_traits< _CharT >::off_type

inherited

Definition at line 92 of file char_traits.h.

## pos_type

template<typename _CharT >

typedef std::fpos<state_type> __gnu_cxx::encoding_char_traits< _CharT >::pos_type

Definition at line 215 of file codecvt_specializations.h.

## state_type

template<typename _CharT >

typedef encoding_state __gnu_cxx::encoding_char_traits< _CharT >::state_type

Definition at line 214 of file codecvt_specializations.h.

## Member Function Documentation

## assign() [1/2]

template<typename _CharT >

static _GLIBCXX14_CONSTEXPR void __gnu_cxx::char_traits< _CharT >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static inherited

Definition at line 96 of file char_traits.h.

## assign() [2/2]

template<typename _CharT >

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::assign | ( | char_type * | __s,
|  | std::size_t | __n,
|  | char_type | __a
| ) |  |

static inherited

Definition at line 204 of file char_traits.h.

## compare()

template<typename _CharT >

_GLIBCXX14_CONSTEXPR int __gnu_cxx::char_traits< _CharT >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n
| ) |  |

static inherited

Definition at line 148 of file char_traits.h.

## copy()

template<typename _CharT >

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n
| ) |  |

static inherited

Definition at line 194 of file char_traits.h.

## eof()

template<typename _CharT >

static constexpr int_type __gnu_cxx::char_traits< _CharT >::eof | ( |  | ) |

inline static constexpr inherited

Definition at line 138 of file char_traits.h.

## eq()

template<typename _CharT >

static constexpr bool __gnu_cxx::char_traits< _CharT >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr inherited

Definition at line 100 of file char_traits.h.

## eq_int_type()

template<typename _CharT >

static constexpr bool __gnu_cxx::char_traits< _CharT >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2
| ) |  |

inline static constexpr inherited

Definition at line 134 of file char_traits.h.

## find()

template<typename _CharT >

_GLIBCXX14_CONSTEXPR const char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::find | ( | const char_type * | __s,
|  | std::size_t | __n,
|  | const char_type & | __a
| ) |  |

static inherited

Definition at line 172 of file char_traits.h.

## length()

template<typename _CharT >

_GLIBCXX14_CONSTEXPR std::size_t __gnu_cxx::char_traits< _CharT >::length | ( | const char_type * | __s | ) |

static inherited

Definition at line 161 of file char_traits.h.

## lt()

template<typename _CharT >

static constexpr bool __gnu_cxx::char_traits< _CharT >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr inherited

Definition at line 104 of file char_traits.h.

## move()

template<typename _CharT >

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n
| ) |  |

static inherited

Definition at line 183 of file char_traits.h.

## not_eof()

template<typename _CharT >

static constexpr int_type __gnu_cxx::char_traits< _CharT >::not_eof | ( | const int_type & | __c | ) |

inline static constexpr inherited

Definition at line 142 of file char_traits.h.

## to_char_type()

template<typename _CharT >

static constexpr char_type __gnu_cxx::char_traits< _CharT >::to_char_type | ( | const int_type & | __c | ) |

inline static constexpr inherited

Definition at line 126 of file char_traits.h.

## to_int_type()

template<typename _CharT >

static constexpr int_type __gnu_cxx::char_traits< _CharT >::to_int_type | ( | const char_type & | __c | ) |

inline static constexpr inherited

Definition at line 130 of file char_traits.h.

The documentation for this struct was generated from the following file:

- codecvt_specializations.h